Bug 737552 - SELinux is preventing /opt/google/chrome/chrome from read, write access on the file /home/Veda/.config/google-chrome/Default/databases/http_twitter.com_0/1-journal.
Summary: SELinux is preventing /opt/google/chrome/chrome from read, write access on th...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:620aaf42624...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 14:31 UTC by HanYang
Modified: 2011-09-15 15:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 15:50:56 UTC


Attachments (Terms of Use)

Description HanYang 2011-09-12 14:31:04 UTC
SELinux is preventing /opt/google/chrome/chrome from read, write access on the file /home/Veda/.config/google-chrome/Default/databases/http_twitter.com_0/1-journal.

*****  Plugin restorecon (99.5 confidence) suggests  *************************

If you want to fix the label. 
/home/Veda/.config/google-chrome/Default/databases/http_twitter.com_0/1-journal default label should be config_home_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /home/Veda/.config/google-chrome/Default/databases/http_twitter.com_0/1-journal

*****  Plugin catchall (1.49 confidence) suggests  ***************************

If you believe that chrome should be allowed read write access on the 1-journal file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep chrome /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                /home/Veda/.config/google-chrome/Default/databases
                              /http_twitter.com_0/1-journal [ file ]
Source                        chrome
Source Path                   /opt/google/chrome/chrome
Port                          <未知>
Host                          (removed)
Source RPM Packages           google-chrome-unstable-15.0.874.5-100117
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-38.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux localhost.localdomain 2.6.40.4-5.fc15.i686
                              #1 SMP Tue Aug 30 14:54:41 UTC 2011 i686 i686
Alert Count                   5
First Seen                    2011年09月12日 星期一 22时15分29秒
Last Seen                     2011年09月12日 星期一 22时23分14秒
Local ID                      8a5e58f6-471a-46ee-94a7-b0d960534270

Raw Audit Messages
type=AVC msg=audit(1315837394.495:114): avc:  denied  { read write } for  pid=9410 comm="chrome" path="/home/Veda/.config/google-chrome/Default/databases/http_twitter.com_0/1-journal" dev=sda6 ino=665238 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1315837394.495:114): arch=i386 syscall=socketcall success=yes exit=EPERM a0=11 a1=b2d510c0 a2=b786cff4 a3=0 items=0 ppid=1 pid=9410 auid=500 uid=500 gid=0 euid=500 suid=500 fsuid=500 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm=chrome exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Hash: chrome,chrome_sandbox_t,user_home_dir_t,file,read,write

audit2allow

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t user_home_dir_t:file { read write };

audit2allow -R

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t user_home_dir_t:file { read write };

Comment 1 Daniel Walsh 2011-09-12 18:41:53 UTC
restorecon -R -v ~/

Should fix your problem.  Your system is  mislabeled.

Comment 2 HanYang 2011-09-14 03:32:02 UTC
Oh,thank you ,it works~~~~~~~~~~~~~

(In reply to comment #1)
> restorecon -R -v ~/
> 
> Should fix your problem.  Your system is  mislabeled.

Comment 3 Daniel Walsh 2011-09-15 14:48:35 UTC
Why did you reopen this bug?

Comment 4 HanYang 2011-09-15 15:50:56 UTC
I'm sorry for this,I'm a green hand and my mother tongue is not English........I am trying to close it.
(In reply to comment #3)
> Why did you reopen this bug?


Note You need to log in before you can comment on or make changes to this bug.